<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="fr">
<head>
<!-- Generated by javadoc (version 1.7.0_79) on Thu Jun 23 07:55:02 CEST 2016 -->
<title>Drop</title>
<meta name="date" content="2016-06-23">
<link rel="stylesheet" type="text/css" href="../stylesheet.css" title="Style">
</head>
<body>
<script type="text/javascript"><!--
    if (location.href.indexOf('is-external=true') == -1) {
        parent.document.title="Drop";
    }
//-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar_top">
<!--   -->
</a><a href="#skip-navbar_top" title="Skip navigation links"></a><a name="navbar_top_firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/Drop.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../deprecated-list.html">Deprecated</a></li>
<li><a href="../index-files/index-1.html">Index</a></li>
<li><a href="../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../controler/Drag.html" title="class in controler"><span class="strong">Prev Class</span></a></li>
<li><a href="../controler/Game.html" title="class in controler"><span class="strong">Next Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../index.html?controler/Drop.html" target="_top">Frames</a></li>
<li><a href="Drop.html" target="_top">No Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../allclasses-noframe.html">All Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li><a href="#nested_classes_inherited_from_class_javax.swing.TransferHandler">Nested</a>&nbsp;|&nbsp;</li>
<li><a href="#field_summary">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor_summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method_summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li><a href="#field_detail">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor_detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method_detail">Method</a></li>
</ul>
</div>
<a name="skip-navbar_top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">controler</div>
<h2 title="Class Drop" class="title">Class Drop</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li>java.lang.Object</li>
<li>
<ul class="inheritance">
<li>javax.swing.TransferHandler</li>
<li>
<ul class="inheritance">
<li>controler.Drop</li>
</ul>
</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<dl>
<dt>All Implemented Interfaces:</dt>
<dd>java.io.Serializable</dd>
</dl>
<hr>
<br>
<pre>public class <span class="strong">Drop</span>
extends javax.swing.TransferHandler</pre>
<div class="block">The Class Drop.</div>
<dl><dt><span class="strong">See Also:</span></dt><dd><a href="../serialized-form.html#controler.Drop">Serialized Form</a></dd></dl>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- ======== NESTED CLASS SUMMARY ======== -->
<ul class="blockList">
<li class="blockList"><a name="nested_class_summary">
<!--   -->
</a>
<h3>Nested Class Summary</h3>
<ul class="blockList">
<li class="blockList"><a name="nested_classes_inherited_from_class_javax.swing.TransferHandler">
<!--   -->
</a>
<h3>Nested classes/interfaces inherited from class&nbsp;javax.swing.TransferHandler</h3>
<code>javax.swing.TransferHandler.DropLocation, javax.swing.TransferHandler.TransferSupport</code></li>
</ul>
</li>
</ul>
<!-- =========== FIELD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="field_summary">
<!--   -->
</a>
<h3>Field Summary</h3>
<table class="overviewSummary" border="0" cellpadding="3" cellspacing="0" summary="Field Summary table, listing fields, and an explanation">
<caption><span>Fields</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Field and Description</th>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static java.awt.datatransfer.DataFlavor</code></td>
<td class="colLast"><code><strong><a href="../controler/Drop.html#PIECE_FLAVOR">PIECE_FLAVOR</a></strong></code>
<div class="block">The Constant PIECE_FLAVOR, this allow to have the same pointer between the object dragged and dropped</div>
</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="fields_inherited_from_class_javax.swing.TransferHandler">
<!--   -->
</a>
<h3>Fields inherited from class&nbsp;javax.swing.TransferHandler</h3>
<code>COPY, COPY_OR_MOVE, LINK, MOVE, NONE</code></li>
</ul>
</li>
</ul>
<!-- ======== CONSTRUCTOR SUMMARY ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor_summary">
<!--   -->
</a>
<h3>Constructor Summary</h3>
<table class="overviewSummary" border="0" cellpadding="3" cellspacing="0" summary="Constructor Summary table, listing constructors, and an explanation">
<caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Constructor and Description</th>
</tr>
<tr class="altColor">
<td class="colOne"><code><strong><a href="../controler/Drop.html#Drop(controler.Game)">Drop</a></strong>(<a href="../controler/Game.html" title="class in controler">Game</a>&nbsp;g)</code>
<div class="block">Instantiates a new drop object, who is used in the drag and drop of the pieces in the grid.</div>
</td>
</tr>
</table>
</li>
</ul>
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method_summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="overviewSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span>Methods</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr class="altColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><code><strong><a href="../controler/Drop.html#canImport(javax.swing.TransferHandler.TransferSupport)">canImport</a></strong>(javax.swing.TransferHandler.TransferSupport&nbsp;info)</code>
<div class="block">Return if the dropped object can be import.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><code><strong><a href="../controler/Drop.html#importData(javax.swing.TransferHandler.TransferSupport)">importData</a></strong>(javax.swing.TransferHandler.TransferSupport&nbsp;support)</code>
<div class="block">Print the piece to the screen if its the player of this piece are the actualPlayer and use this piece (in the playerZone).</div>
</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="methods_inherited_from_class_javax.swing.TransferHandler">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;javax.swing.TransferHandler</h3>
<code>canImport, exportAsDrag, exportToClipboard, getCopyAction, getCutAction, getDragImage, getDragImageOffset, getPasteAction, getSourceActions, getVisualRepresentation, importData, setDragImage, setDragImageOffset</code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods_inherited_from_class_java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.lang.Object</h3>
<code>equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait</code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ============ FIELD DETAIL =========== -->
<ul class="blockList">
<li class="blockList"><a name="field_detail">
<!--   -->
</a>
<h3>Field Detail</h3>
<a name="PIECE_FLAVOR">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>PIECE_FLAVOR</h4>
<pre>public static final&nbsp;java.awt.datatransfer.DataFlavor PIECE_FLAVOR</pre>
<div class="block">The Constant PIECE_FLAVOR, this allow to have the same pointer between the object dragged and dropped</div>
</li>
</ul>
</li>
</ul>
<!-- ========= CONSTRUCTOR DETAIL ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor_detail">
<!--   -->
</a>
<h3>Constructor Detail</h3>
<a name="Drop(controler.Game)">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>Drop</h4>
<pre>public&nbsp;Drop(<a href="../controler/Game.html" title="class in controler">Game</a>&nbsp;g)</pre>
<div class="block">Instantiates a new drop object, who is used in the drag and drop of the pieces in the grid.</div>
<dl><dt><span class="strong">Parameters:</span></dt><dd><code>g</code> - The actual Game.</dd></dl>
</li>
</ul>
</li>
</ul>
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method_detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="canImport(javax.swing.TransferHandler.TransferSupport)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>canImport</h4>
<pre>public&nbsp;boolean&nbsp;canImport(javax.swing.TransferHandler.TransferSupport&nbsp;info)</pre>
<div class="block">Return if the dropped object can be import.</div>
<dl>
<dt><strong>Overrides:</strong></dt>
<dd><code>canImport</code>&nbsp;in class&nbsp;<code>javax.swing.TransferHandler</code></dd>
<dt><span class="strong">Parameters:</span></dt><dd><code>info</code> - the object droped</dd>
<dt><span class="strong">Returns:</span></dt><dd>A boolean, true if the object can be import (always)</dd></dl>
</li>
</ul>
<a name="importData(javax.swing.TransferHandler.TransferSupport)">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>importData</h4>
<pre>public&nbsp;boolean&nbsp;importData(javax.swing.TransferHandler.TransferSupport&nbsp;support)</pre>
<div class="block">Print the piece to the screen if its the player of this piece are the actualPlayer and use this piece (in the playerZone).</div>
<dl>
<dt><strong>Overrides:</strong></dt>
<dd><code>importData</code>&nbsp;in class&nbsp;<code>javax.swing.TransferHandler</code></dd>
<dt><span class="strong">Parameters:</span></dt><dd><code>support</code> - the object dropped</dd>
<dt><span class="strong">Returns:</span></dt><dd>A boolean, true if the object can be import (always)</dd></dl>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar_bottom">
<!--   -->
</a><a href="#skip-navbar_bottom" title="Skip navigation links"></a><a name="navbar_bottom_firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/Drop.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../deprecated-list.html">Deprecated</a></li>
<li><a href="../index-files/index-1.html">Index</a></li>
<li><a href="../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../controler/Drag.html" title="class in controler"><span class="strong">Prev Class</span></a></li>
<li><a href="../controler/Game.html" title="class in controler"><span class="strong">Next Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../index.html?controler/Drop.html" target="_top">Frames</a></li>
<li><a href="Drop.html" target="_top">No Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../allclasses-noframe.html">All Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li><a href="#nested_classes_inherited_from_class_javax.swing.TransferHandler">Nested</a>&nbsp;|&nbsp;</li>
<li><a href="#field_summary">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor_summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method_summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li><a href="#field_detail">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor_detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method_detail">Method</a></li>
</ul>
</div>
<a name="skip-navbar_bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
